[Unit]
Description=Gunicorn daemon for Django Project - {{ PROJECT_NAME }}
Before=nginx.service
After=network.target

[Service]
WorkingDirectory={{ PATH_TO_PROJECT }}

# run ExecStartPre as priviledged user and set up required directories
PermissionsStartOnly=true
ExecStartPre=-/bin/mkdir {{PATH_TO_SOCKETS}}
ExecStartPre=-/bin/chown -R {{ USER }}:{{ USER }} {{PATH_TO_SOCKETS}}
ExecStartPre=-/bin/mkdir /var/log/{{ ALIAS }}
ExecStartPre=-/bin/chown -R {{ USER }}:{{ USER }} /var/log/{{ ALIAS }}
# Allow nginx to use the socket
ExecStartPre=-/bin/chmod -R 777 {{PATH_TO_SOCKETS}}


ExecStart={{ PATH_TO_ENV }}/bin/gunicorn \
        --name {{ ALIAS }} \
        --pythonpath {{ PATH_TO_PROJECT }} \
        --bind unix:{{PATH_TO_SOCKETS}}/{{ ALIAS }}.socket \
        --config {{PATH_TO_SETTINGS}}/gunicorn.py \
        --error-logfile //var/log/{{ ALIAS }}/error.log \
        --access-logfile //var/log/{{ ALIAS }}/access.log \
        --pid {{PATH_TO_SOCKETS}}/{{ ALIAS }}.pid \
        --worker-tmp-dir /tmp \
        {{ PROJECT }}.wsgi:application


Restart=always
SyslogIdentifier={{ ALIAS }}
User={{ USER }}
Group={{ USER }}


[Install]
WantedBy=multi-user.target
